{...}: {
  services = {
    avahi = {
      enable = true;
      openFirewall = true;
      publish = {
        enable = true;
        workstation = true;
        userServices = true;
      };
    };
    cron.enable = false;
  };
  # udp5353 1024-65535

  networking.firewall = let
    range = {
      from = 1024;
      to = 65535;
    };
  in {
    allowedUDPPorts = [ 5353 ];
    allowedUDPPortRanges = [ range ];
    allowedTCPPortRanges = [ range ];
  };
  networking.dhcpcd.extraConfig = "noarp";
  system.stateVersion = "24.05";
}
